/***************************************************************************
 * Copyright 2012 Kieker Project (http://kieker-monitoring.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.service.impl;

import org.junit.Assert;
import org.junit.Test;

/**
 * Test class for {@link GraphLayoutServiceImpl}.
 * 
 * @author Nils Christian Ehmke
 */
public class GraphLayoutServiceImplTest {

	/**
	 * Default constructor. <b>Do not use this constructor. This is just a test class and not to be used outside a JUnit test!</b>
	 */
	public GraphLayoutServiceImplTest() {
		// No code necessary
	}

	/**
	 * A test of this test class.
	 */
	@Test
	public void test() {
		final GraphLayoutServiceImpl layouter = new GraphLayoutServiceImpl();

		// We assert that nothing goes wrong here
		layouter.layoutGraph(
				"12 140 72 0 0 0 0 1 42 240 72 1 42 0 0 1 42 210 132 4 36 0 0 2 60 190 108 3 36 0 0 2 48 420 96 1 54 1 36 1 72 768 144 1 78 1 36 3 72 420 84 1 48 0 36 2 36 792 120 1 66 1 36 2 72 250 72 1 42 1 42 0 72 280 72 0 42 1 42 0 72 270 72 1 42 0 42 0 72",
				"0 1 0 0 1 2 1 3 1 2 1 2 2 3 4 0 3 4 3 0 4 10 1 0 4 5 2 0 5 10 1 0 5 8 2 0 6 7 1 0 7 10 1 0 7 8 3 0 8 10 1 0 9 10 0 0 ");

		// Something should go wrong here
		try {
			layouter.layoutGraph(" ", " 1 ");
			Assert.fail();
		} catch (final Exception ex) {
		}
	}
}
